'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ObjectName = require('../object/ObjectName');

var _ObjectName2 = _interopRequireDefault(_ObjectName);

var _ObjectDescription = require('../object/ObjectDescription');

var _ObjectDescription2 = _interopRequireDefault(_ObjectDescription);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Colon = function Colon() {
  return _react2.default.createElement(
    'span',
    null,
    ': '
  );
};

/**
 * if isNonenumerable is specified, render the name dimmed
 */
var ObjectLabel = function ObjectLabel(_ref) {
  var name = _ref.name;
  var data = _ref.data;
  var isNonenumerable = _ref.isNonenumerable;

  var object = data;

  return _react2.default.createElement(
    'span',
    null,
    _react2.default.createElement(_ObjectName2.default, { name: name, dimmed: isNonenumerable }),
    _react2.default.createElement(Colon, null),
    _react2.default.createElement(_ObjectDescription2.default, { object: object })
  );
};

ObjectLabel.propTypes = {
  isNonenumerable: _react.PropTypes.bool };

// non enumerable object will be dimmed
ObjectLabel.defaultProps = {
  isNonenumerable: false
};

exports.default = ObjectLabel;